#ifndef LECTLABEL_H
#define LECTLABEL_H

#include<QtGui>
#include <QtCore>

//#include "lecturedialog.h"
//#include "ui_alertedialog.h"
class mylabel:public QLabel
{
  Q_OBJECT
public:
  mylabel(QString&);
  ~mylabel();
  QString m_image;
  QGridLayout *m_gridlayout;
  QLabel *m_label;
  QTimer *m_timer;
  QPalette m_palette;
  int m_i;

  void closeEvent(QCloseEvent*);
protected:
  //void mousePressEvent(QMouseEvent *event);
public slots:
  void croitre();
};

#endif

